package com.jianrmod.plugins.harmony.Tools;

import android.content.Context;

import com.yutou.jianr_mg.Interfaces.ModInterface;

import java.io.File;

public class ClientUttls {
    public static void install(Context context, File file, String path, ModInterface modInterface){
        try{
            Object modUtils=context.getClassLoader().loadClass("com.yutou.jianr_mg.Tools.ModUtils")
                    .getMethod("init",Context.class).invoke(null,context);
            modUtils.getClass().getMethod("notRootInstall",File.class,String.class)
                    .invoke(modUtils,file,path);
            modUtils.getClass().getMethod("notRootInstallStart",ModInterface.class,boolean.class)
                    .invoke(modUtils,modInterface,false);
        }catch (Exception e){
            e.printStackTrace();
        }
    }
}
